aboutsummaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorMiroslav Miklus <mmiklus@cisco.com>2016-08-01 15:48:19 +0200
committerPeter Mikus <pmikus@cisco.com>2016-08-02 07:34:43 +0000
commit8a33e14f1bc9492ac53dda85e9f92b426b27a9bf (patch)
treecb7f6503d417d6ede43bb2734c8f3627fa31bdb9
parent0369e20eb0c18a6846578eb681e93ec963c28042 (diff)
CSIT-311 New Nightly CSIT perf job
CSIT-311 PHASE 1: Create new nightly job Change-Id: Iaddfd29f2fd95eb137ccf5c717af4d294133b55d Signed-off-by: Miroslav Miklus <mmiklus@cisco.com>
-rwxr-xr-xbootstrap-verify-perf.sh12
1 files changed, 11 insertions, 1 deletions
diff --git a/bootstrap-verify-perf.sh b/bootstrap-verify-perf.sh
index 687f533c4e..826faaa294 100755
--- a/bootstrap-verify-perf.sh
+++ b/bootstrap-verify-perf.sh
@@ -28,7 +28,7 @@ VPP_REPO_URL=$(cat ${SCRIPT_DIR}/VPP_REPO_URL)
RESERVATION_DIR="/tmp/reservation_dir"
INSTALLATION_DIR="/tmp/install_dir"
-PYBOT_ARGS="-W 150 --noncritical PERFTEST --exclude SKIP_PATCH"
+PYBOT_ARGS="-W 150 --noncritical PERFTEST"
ARCHIVE_ARTIFACTS=(log.html output.xml report.html output_perf_data.xml)
@@ -119,6 +119,7 @@ case "$TEST_TAG" in
-L TRACE \
-v TOPOLOGY_PATH:${WORKING_TOPOLOGY} \
-s "tests.perf" \
+ --exclude SKIP_PATCH \
-i perftest_long \
tests/
RETURN_STATUS=$(echo $?)
@@ -187,6 +188,15 @@ case "$TEST_TAG" in
tests/
RETURN_STATUS=$(echo $?)
;;
+ PERFTEST_NIGHTLY )
+ #run all available tests
+ pybot ${PYBOT_ARGS} \
+ -L TRACE \
+ -v TOPOLOGY_PATH:${WORKING_TOPOLOGY} \
+ -s "tests.perf" \
+ tests/
+ RETURN_STATUS=$(echo $?)
+ ;;
* )
# run full performance test suite and exit on fail
pybot ${PYBOT_ARGS} \